### Function

# GdkX11 x11_get_xatom_name_for_display

#### Declaration [src]

    const char*
    gdk_x11_get_xatom_name_for_display (
      GdkDisplay* display,
      Atom xatom
    )

#### Description [src]

Returns the name of an X atom for its display. This function is meant mainly for debugging, so for convenience, unlike XAtomName() and the result doesn’t need to be freed.

#### Parameters

`display` | `GdkX11Display`
| The `GdkDisplay` where `xatom` is defined.
| The data is owned by the caller of the function.
`xatom` | `Atom`
| An X atom.

#### Return value

Returns: | `const char*`
| Name of the X atom; this string is owned by GDK, so it shouldn’t be modified or freed.
| The data is owned by the called function.
| The string is a NUL terminated UTF-8 string.